Skip to main content
GET
/
job-openings
/
{id}
Retrieve Job Opening
curl --request GET \
  --url https://api.amplemarket.com/job-openings/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.amplemarket.com/job-openings/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.amplemarket.com/job-openings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "df154050-b654-41f6-bfd5-acc2f98632d7",
  "title": "Senior Software Engineer",
  "url": "https://example.com/jobs/123",
  "raw_location": "Remote - US",
  "first_seen_at": "2026-04-01T12:00:00Z",
  "seniorities": [
    "Senior"
  ],
  "departments": [
    "Engineering & Technical"
  ],
  "job_functions": [
    "Software Development"
  ],
  "description": "Full job description",
  "company_name": "Example Inc",
  "company_domain": "example.com",
  "raw_salary": "$140k-$180k",
  "contract_types": [
    "remote"
  ],
  "last_seen_at": "2026-04-02T12:00:00Z"
}
{
"_errors": [
{
"code": "not_found",
"title": "Not Found",
"detail": "Job opening not found"
}
],
"object": "error"
}
{
"_errors": [
{
"code": "gone",
"title": "Gone",
"detail": "Job opening is no longer available"
}
],
"object": "error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Job opening ID

Response

Successful

id
string<uuid>
title
string | null
url
string | null
raw_location
string | null
first_seen_at
string<date_time> | null
seniorities
string[]
departments
string[]
job_functions
string[]
description
string | null
company_name
string | null
company_domain
string | null
raw_salary
string | null
contract_types
string[]
last_seen_at
string<date_time> | null